# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ nix-actions, ... }:

{
  name = "Build the shell";
  on = {
    pull_request.branches = [ "main" ];
    push.branches = [ "main" ];
  };

  jobs = {
    build-shell = {
      runs-on = "nix";
      steps = [
        { uses = "actions/checkout@v3"; }
        {
          name = "Build and cache shell";
          run = nix-actions.lib.nix-shell {
            script = "nix-build-and-cache -A devShell";
            shell = "eval-shell";
          };
          env = {
            STORE_ENDPOINT = "https://tvix-store.dgnum.eu/infra-signing/";
            STORE_USER = "admin";
            STORE_PASSWORD = nix-actions.lib.secret "STORE_PASSWORD";
          };
        }
      ];
    };
  };
}
